Bug 808061 - [RFE] virt-who command line option improvements
[RFE] virt-who command line option improvements
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-who (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Radek Novacek
Entitlement Bugs
: FutureFeature, Rebase
Depends On: 848763 848777 848781
Blocks: 771748
  Show dependency treegraph
Reported: 2012-03-29 09:15 EDT by Bryan Kearney
Modified: 2013-01-08 02:35 EST (History)
8 users (show)

See Also:
Fixed In Version: virt-who-0.7-2.el5
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of: 808060
Last Closed: 2013-01-08 02:35:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bryan Kearney 2012-03-29 09:15:01 EDT
+++ This bug was initially created as a clone of Bug #808060 +++

Based on some usability discussions, we should enhance the cli command line options as follows.

1) virt-who 
Start in foreground, print errors to stderr (-d for debugging output)

2) virt-who -o
One-shot mode, exit after sending list of guests

3) virt-who -b
4) service virt-who start
Both the same: start on background (do double-fork), log to /var/log, no 
Comment 1 Radek Novacek 2012-07-09 08:54:09 EDT
It will be better to do a rebase, because this change affects quite big codebase. Other changes from upstream (couple of fixes that is already present in rhel-6)  needs to be dragged as well, so rebase makes sense.
Comment 2 Radek Novacek 2012-07-17 04:06:51 EDT
This feature has been implemented in virt-who-0.7-1.el5.
Comment 4 yqiao 2012-08-02 05:34:51 EDT
-b and -d options work well ,but some error happen to -o option as follows:

2012-08-01 23:27:40,303 [ERROR]  @virt-who.py:164 - Unable to create connection:
Traceback (most recent call last):
  File "/usr/share/virt-who/virt-who.py", line 161, in _send
  File "/usr/share/virt-who/virt-who.py", line 140, in checkConnections
  File "/usr/share/virt-who/virt-who.py", line 95, in initVirt
    self.virt = Virt(self.logger)
  File "/usr/share/virt-who/virt.py", line 41, in __init__
    raise VirtError(str(e))
VirtError: adding cb to list
2012-08-01 23:27:40,310 [ERROR]  @virt-who.py:167 - Unable to recover
Comment 5 Radek Novacek 2012-08-07 04:36:23 EDT
Thanks for noticing, it has been fixed in virt-who-0.7-2.el5.
Comment 7 Hui Wang 2012-08-16 21:21:13 EDT
This issue will be as a tracker of the following bugs:
848763 848777 848781. After the all the bugs fixed, this bug will be closed.
Comment 8 Radek Novacek 2012-09-17 08:56:39 EDT
Removing dependence on bug 808060, because it's RHEL-6 bug.
Comment 9 Radek Novacek 2012-09-19 09:27:10 EDT
Dependent bugs are fixed, moving to ON_QA.
Comment 10 ndong 2012-09-20 02:32:04 EDT
Since the virt-who with -o function works well without errors in virt-who-0.7-6.el5, changed status from ON_QA to VERIFIED.
Comment 11 ndong 2012-09-20 04:24:33 EDT
The dependence bugs have been fixed. so moving the bug to Verified. Moreover, the virt-who with -o function works well without errors in virt-who-0.7-6.el5, changed status from ON_QA to VERIFIED.
Comment 13 errata-xmlrpc 2013-01-08 02:35:37 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.